// SettingInfo.h : Declaration of the CSettingInfo

#ifndef __SETTINGINFO_H_
#define __SETTINGINFO_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "dplay.h"
#include "dplobby.h"

/////////////////////////////////////////////////////////////////////////////
// CSettingInfo
class CSettingInfo : 
	public CAxDialogImpl<CSettingInfo>
{
public:
	CSettingInfo()
	{
	}

	~CSettingInfo()
	{
	}

	enum { IDD = IDD_SETTINGINFO };

BEGIN_MSG_MAP(CSettingInfo)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
END_MSG_MAP()
// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);

// prototypes
HRESULT CreateDirectPlayInterface( LPDIRECTPLAY3A *lplpDirectPlay3A );
HRESULT CreateDirectPlayLobbyInterface( LPDIRECTPLAYLOBBY2A	*lplpDirectPlayLobby2A );
HRESULT FillModem(HWND hWnd, LPDIRECTPLAYLOBBY2A lplpDirectPlayLobby2A);
	
};

#endif //__SETTINGINFO_H_
